package com.jiayue.ipp.common.data.enums.an;

import com.baomidou.mybatisplus.annotation.IEnum;
import lombok.Getter;
import lombok.RequiredArgsConstructor;

/**
 * 通道类型枚举类
 *
 * @author 袁昊
 * @version 1.0
 */
@Getter
@RequiredArgsConstructor
public enum TunnelTypeEnum implements IEnum<String> {

	/**
	 * 字典类型-系统内置（不可修改）
	 */
	CLIENT_104("104_client", "104客户端"),

	CLIENT_MODBUS_TCP("modbus_client_tcp", "modbusTcp客户端"),

	CLIENT_MODBUS_RTU("modbus_client_rtu", "modbusRtu客户端"),


	;



	/**
	 * 类型
	 */

	private final String type;

	/**
	 * 描述
	 */
	private final String description;

	@Override
	public String getValue() {
		return this.name();
	}
}
